## org.eclipse.datatools.sqltools.common.ui.resource
Class CreateFolderAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.ui.actions.SelectionListenerAction
                          org.eclipse.datatools.sqltools.common.ui.resource.CreateFolderAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener

    public class CreateFolderAction

extends org.eclipse.ui.actions.SelectionListenerAction

Standard action for creating a folder resource within the currently selected folder or project.

This class may be instantiated; it is not intended to be subclassed.

Author:
  Hui Cao

Field Summary
`static java.lang.String` `ID` The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateFolderAction(org.eclipse.jface.viewers.TreeViewer viewer)` Creates a new action for creating a folder resource.

Method Summary
`void` `run()` The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ID

    public static final java.lang.String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### CreateFolderAction

    public CreateFolderAction(org.eclipse.jface.viewers.TreeViewer viewer)

  Creates a new action for creating a folder resource.

  Parameters:
    `shell` - the shell for any dialogs

Method Detail

### run

    public void run()

  The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`